window.FX_Mobile_Filters = {
    "FX5__Price_Book__c": {
        "FX5__Job__c.FX5__Price_Book__c": {
            "predicate": "(ISNULL($Source.FX5__CustomerAccount__c) || $Source.FX5__CustomerAccount__c==FX5__Price_Book__c.FX5__Account__r.Id || ISNULL(FX5__Price_Book__c.FX5__Account__r.Id)) && (ISNULL($Source.FX5__Office__c) || $Source.FX5__Office__c==FX5__Price_Book__c.FX5__Office__r.Id || ISNULL(FX5__Price_Book__c.FX5__Office__r.Id)) && (ISNULL($Source.FX5__Segment__c) || $Source.FX5__Segment__c==FX5__Price_Book__c.FX5__Segment__c || ISNULL(FX5__Price_Book__c.FX5__Segment__c))"
        },
        "FX5__Quote__c.FX5__Price_Book__c": {
            "predicate": "(ISNULL($Source.FX5__CustomerAccount__c) || $Source.FX5__CustomerAccount__c==FX5__Price_Book__c.FX5__Account__r.Id || ISNULL(FX5__Price_Book__c.FX5__Account__r.Id)) && (ISNULL($Source.FX5__Office__c) || $Source.FX5__Office__c==FX5__Price_Book__c.FX5__Office__r.Id || ISNULL(FX5__Price_Book__c.FX5__Office__r.Id)) && (ISNULL($Source.FX5__Segment__c) || $Source.FX5__Segment__c==FX5__Price_Book__c.FX5__Segment__c || ISNULL(FX5__Price_Book__c.FX5__Segment__c))"
        }
    },  
    "Account": {
       "FX5__Job__c.FX5__Office__c": {
           "predicate": "Account.RecordType.DeveloperName=='Office' && (ISNULL($Source.FX5__Price_Book__c) || ISNULL($Source.FX5__Price_Book__r.FX5__Office__c) || $Source.FX5__Price_Book__r.FX5__Office__c==Account.Id)"
        },
        "FX5__Job__c.FX5__CustomerAccount__c": {
            "predicate": "Account.RecordType.DeveloperName != 'Office' && (ISNULL($Source.FX5__Price_Book__c) || ISNULL($Source.FX5__Price_Book__r.FX5__Account__c) || $Source.FX5__Price_Book__r.FX5__Account__c==Account.Id)"
        },
        "FX5__Quote__c.FX5__Office__c": {
            "predicate": "Account.RecordType.DeveloperName=='Office' && (ISNULL($Source.FX5__Price_Book__c) || ISNULL($Source.FX5__Price_Book__r.FX5__Office__c) || $Source.FX5__Price_Book__r.FX5__Office__c==Account.Id)"
        },
        "FX5__Quote__c.FX5__CustomerAccount__c": {
            "predicate": "Account.RecordType.DeveloperName != 'Office' && (ISNULL($Source.FX5__Price_Book__c) || ISNULL($Source.FX5__Price_Book__r.FX5__Account__c) || $Source.FX5__Price_Book__r.FX5__Account__c==Account.Id)"
        }
    },
    "FX5__Equipment__c": {
        "FX5__Ticket_Item__c.FX5__Equipment__c": {
            "predicate": "($Source.CatItem_ID__c==FX5__Equipment__c.CatItem_ID__c)"
        }
    },
    "FX5__Contact__c": {
        "FX5__Ticket_Item__c.FX5__Contact__c": {
            "predicate": "Contact.FX5__Available_for_Field_Work__c==true"
        }
    }
}
